      program run

        use omp_lib
        implicit none
		

        character(len=5) :: Name
		integer :: count
		real :: test

		


      !$omp parallel 
     & !$omp shared ( test) 
     & !$omp private ( count, Name )
	  
      !$omp do
        do count = 1, 2
          write(*,*) count 
          write(Name,'(I5.5)') count 
          write(*,*) Name 

          test= 270
          call Mysubroutine(Name ,test)

        end do
      !$omp end do

      !$omp end parallel
      end program run
